"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 *
 * @param target
 * @param propertyKey
 * @param descriptor
 */
function measure(target, propertyKey, descriptor) {
    var originalMethod = descriptor.value;
    descriptor.value = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var start = performance.now();
        originalMethod.apply(this, args);
        var end = performance.now();
        console.log("Call to " + propertyKey + " took " + (end - start).toFixed(2) + " milliseconds.");
    };
    return descriptor;
}
exports.measure = measure;
